Repositories - Get Deleted Repositories
Retrieve deleted git repositories.
GET https://dev.azure.com/{organization}/{project}/_apis/git/deletedrepositories?api-version=5.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
project
|
path | True |
|
Project ID or project name |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '5.0-preview.1' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
|
Git |
|
|
Identity |
|
|
Project |
Project state. |
|
Project |
Project visibility. |
|
Reference |
The class to represent a collection of REST reference links. |
|
Team |
Represents a shallow reference to a TeamProject. |
GitDeletedRepository
| Name | Type | Description |
|---|---|---|
| createdDate |
|
|
| deletedBy | ||
| deletedDate |
|
|
| id |
|
|
| name |
|
|
| project |
Represents a shallow reference to a TeamProject. |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
|
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
|
|
| displayName |
|
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
|
|
| imageUrl |
|
|
| inactive |
|
|
| isAadIdentity |
|
|
| isContainer |
|
|
| isDeletedInOrigin |
|
|
| profileUrl |
|
|
| uniqueName |
|
|
| url |
|
This url is the full route to the source resource of this graph subject. |
ProjectState
Project state.
| Name | Type | Description |
|---|---|---|
| all |
|
All projects regardless of state. |
| createPending |
|
Project has been queued for creation, but the process has not yet started. |
| deleted |
|
Project has been deleted. |
| deleting |
|
Project is in the process of being deleted. |
| new |
|
Project is in the process of being created. |
| unchanged |
|
Project has not been changed. |
| wellFormed |
|
Project is completely created and ready to use. |
ProjectVisibility
Project visibility.
| Name | Type | Description |
|---|---|---|
| private |
|
The project is only visible to users with explicit access. |
| public |
|
The project is visible to all. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
|
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
TeamProjectReference
Represents a shallow reference to a TeamProject.
| Name | Type | Description |
|---|---|---|
| abbreviation |
|
Project abbreviation. |
| defaultTeamImageUrl |
|
Url to default team identity image. |
| description |
|
The project's description (if any). |
| id |
|
Project identifier. |
| name |
|
Project name. |
| revision |
|
Project revision. |
| state |
Project state. |
|
| url |
|
Url to the full version of the object. |
| visibility |
Project visibility. |